flclass.h File Reference

User accessible flext base classes. More...

`#include "flbase.h"`
`#include "flsupport.h"`
`#include "flmap.h"`
`#include "flinternal.h"`
`#include "flpushns.h"`
`#include "flpopns.h"`

Go to the source code of this file.

## Classes

class | flext_base
class | flext_base::Item
class | flext_base::ItemSet
class | flext_base::ItemCont
class | flext_base::MethItem
| This represents an item of the method list. More...
class | flext_base::AttrItem
| This represents an item of the attribute list. More...
class | flext_base::AttrData
| Represent a data value of an attribute. More...
class | flext_base::AttrDataCont
class | flext_base::BindItem
| This represents an item of the symbol-bound method list. More...
class | flext_base::xlet
| This represents either an inlet or outlet during construction. More...
union | flext_base::t_any
struct | flext_base::px_object
class | flext_base::pxbnd_object

## Typedefs

typedef class flext_base | flext_base

## Detailed Description

User accessible flext base classes.

## Typedef Documentation

## flext_base

typedef class flext_base flext_base